Bug 88997 - [RFE] Option to prevent users from manually viewing/downloading/installing errata and packages
[RFE] Option to prevent users from manually viewing/downloading/installing er...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Nightly
All Linux
high Severity high (vote)
: Unspecified
: --
Assigned To: Todd Warner
Katello QA List
: FutureFeature
Depends On: 248475
Blocks: sat-nextgen
  Show dependency treegraph
 
Reported: 2003-04-16 04:42 EDT by Albert Castillo
Modified: 2013-08-16 13:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-16 13:54:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Albert Castillo 2003-04-16 04:42:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461; Q312461)

Description of problem:
1) I would like some additional user options so that I (as an Enterprise 
administrator) can:
    a) Prevent a user from viewing errata/packages that are
       available for his machine (in the system tray applet).
    b) Prevent a user from manually downloading/installing errata
       and packages (by launching "up2date")

This would allow me to prevent a user from viewing and/or attempting to install 
errata and packages. In my case, I want to fully control what is installed on 
the user's system and do not want to allow him to initiate (or even see) any 
errata/packages that are available.

2) I would also like an additional option that would allow me (as an 
administrator) to specify the following for a user:
   a) Only allow a user to view/download/install the errata and
      packages that I specify for him.
 or
   b) Allow a user to view/download/install everything. This is how
      RHN Enterprise currently works.

Version-Release number of selected component (if applicable):
Enterprise

How reproducible:
Always

Steps to Reproduce:
1. NA
2.
3.
    

Additional info:
Comment 1 Fanny Augustin 2006-11-14 15:37:26 EST
Reassigning  bugs from gdk (old RHN engineering Manager) to tsanders (current
RHN engineering manager)
Comment 4 Clifford Perry 2010-10-13 14:16:19 EDT
This has overlap with bug 248475. The other bug though only talks about preventing client side, up2date/yum from pulling down content if system is 'locked'. This bug goes further in asking for UI lock down also. 

Cliff
Comment 7 Mike McCune 2013-08-16 13:54:43 EDT
NACKing this.  We aren't going to be implementing this directly. 

Maintenence windows may help and if a customer feels strongly about this specific use case above we can re-open.

Note You need to log in before you can comment on or make changes to this bug.